\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-5,-3) grid (7,3);
\clip(-5,-3) rectangle (7,3);
\draw [shift={(4,0)},line width=1.5pt]  plot[domain=-1.5707963267948966:1.5707963267948966,variable=\t]({1*2*cos(\t r)+0*2*sin(\t r)},{0*2*cos(\t r)+1*2*sin(\t r)});
\draw [line width=1.5pt] (0,2)-- (4,2);
\draw [line width=1.5pt] (4,2)-- (4,-2);
\draw [line width=1.5pt] (4,-2)-- (0,-2);
\draw [line width=1.5pt] (0,-2)-- (0,2);
\draw [color=black] (-4,0)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (-3.869733333333335,0.3416333333333332) node {$O$};
\end{tikzpicture}
\end{document}